CardRuntimeException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class CardRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException

Direct Known Subclasses:
  APDUException, BioException, CryptoException, ExternalException, ISOException, PINException, ServiceException, SystemException, TLVException, TransactionException, UtilException

    @TransactionType(value=NOT_SUPPORTED)
    public class CardRuntimeException

extends RuntimeException

The `CardRuntimeException` class defines a field `reason` and two accessor methods `getReason()` and `setReason()`. The `reason` field encapsulates an exception cause identifier in the Java Card platform. All Java Card platform unchecked Exception classes should extend `CardRuntimeException`.

Even if a transaction is in progress, the update of the internal `reason` field shall not participate in the transaction.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Constructor Summary
`CardRuntimeException(short reason)` Constructs a CardRuntimeException instance with the specified reason.

Method Summary
`short` | `getReason()` Gets the reason code
`void` | `setReason(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Create a new exception instead.
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardRuntimeException

    public CardRuntimeException(short reason)

  Constructs a CardRuntimeException instance with the specified reason.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### getReason

    public short getReason()

  Gets the reason code

  Returns:
    the reason for the exception

### setReason

    public void setReason(short reason)

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Create a new exception instead.

  Sets the reason code. Even if a transaction is in progress, the update of the internal `reason` field shall not participate in the transaction.

  Parameters:
    `reason` - the reason for the exception

### throwIt

    public static void throwIt(short reason)
                        throws CardRuntimeException

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws a new instance of the `CardRuntimeException` class with the specified reason.

  Note that a new instance is thrown upon each call to this method.

  This method is for backward compatibility with Java Card 2.x and for interoperability of classic applet applications with the Java Card 3 Classic edition.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `CardRuntimeException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.